<?php

namespace App\Filters;

class BusinessOrderFilter extends Filters
{
    protected function participateNo($value)
    {
        return $this->builder->where('participate_no', trim($value));
    }

    protected function shopId($value)
    {
        return $this->builder->where('shop_id', $value);
    }

    protected function activityNo($value)
    {
        return $this->builder->where('activity_no', $value);
    }

    protected function shippingStatus($value)
    {
        return $this->builder->where('shipping_status', $value);
    }

    protected function isSupplier($value)
    {
        return $this->builder->where('is_supplier', $value);
    }

    protected function cancelStatus($value)
    {
        return $this->builder->where('cancel_status', $value);
    }

    protected function afterSalesStatus($value)
    {
        return $this->builder->where('after_sales_status', $value);
    }
}
